Package org.optaplanner.core.impl.score.stream.drools.common.nodes

## Enum ConstraintGraphNodeType

- java.lang.Object
- - java.lang.Enum<ConstraintGraphNodeType>
  - - org.optaplanner.core.impl.score.stream.drools.common.nodes.ConstraintGraphNodeType

- All Implemented Interfaces:
    `Serializable`, `Comparable<ConstraintGraphNodeType>`

      public enum ConstraintGraphNodeType
      extends Enum<ConstraintGraphNodeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FILTER` |
    `FROM` |
    `GROUPBY_COLLECTING_ONLY` |
    `GROUPBY_MAPPING_AND_COLLECTING` |
    `GROUPBY_MAPPING_ONLY` |
    `IF_EXISTS` |
    `IF_NOT_EXISTS` |
    `JOIN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConstraintGraphNodeType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ConstraintGraphNodeType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FROM

          public static final ConstraintGraphNodeType FROM

    - #### JOIN

          public static final ConstraintGraphNodeType JOIN

    - #### FILTER

          public static final ConstraintGraphNodeType FILTER

    - #### IF_EXISTS

          public static final ConstraintGraphNodeType IF_EXISTS

    - #### IF_NOT_EXISTS

          public static final ConstraintGraphNodeType IF_NOT_EXISTS

    - #### GROUPBY_MAPPING_ONLY

          public static final ConstraintGraphNodeType GROUPBY_MAPPING_ONLY

    - #### GROUPBY_COLLECTING_ONLY

          public static final ConstraintGraphNodeType GROUPBY_COLLECTING_ONLY

    - #### GROUPBY_MAPPING_AND_COLLECTING

          public static final ConstraintGraphNodeType GROUPBY_MAPPING_AND_COLLECTING

  - ### Method Detail

    - #### values

          public static ConstraintGraphNodeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintGraphNodeType c : ConstraintGraphNodeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintGraphNodeType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null